.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH VALKYRIE 1 2009-05-03
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
valkyrie \- graphical front-end to the Valgrind suite of tools for debugging and profiling Linux executables
.SH SYNOPSIS
.B valkyrie
.RI "[valkyrie-opts] [valgrind-opts] [prog-and-args]"
.SH DESCRIPTION
Valkyrie is a graphical front-end to the Valgrind suite of tools for debugging and profiling Linux executables. The current version supports Valgrind from version 3.4.0. Currently, the only supported Valgrind tool is Memcheck.
Valkyrie uses the Qt widget library, and should run on most reasonably recent Linux setups. The only sine qua non is that you must have:
Qt v.3.2.0 or higher (but not Qt v.4 as yet), and
Valgrind v.3.4.0 or higher.
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below. For more help please see HTML documentation.
.TP
.B \-h, \-\-help
.TP
.B \-v, \-\-version
Show version of program.
.TP
.B \-V, \-\-valgrind\-opts
Show valgrind options as well
.TP
.B \-\-working\-dir
Dir under which to run valgrind. Defaults to [./]
.TP
.B \-\-view\-log <file>
Parse and view a valgrind logfile
.TP
.B \-\-merge <loglist>
Merge multiple logfiles, discarding duplicate errors


.SH SEE ALSO
.BR valgrind (1),
.BR vk_logmerge (1).
.SH AUTHOR
.B valkyrie
was written by Donna Robinson, Cerion Armour-Brown and others.
.PP
This manual page was written by Hai Zaar <haizaar@haizaar.com>,
for the Debian project (but may be used by others).
