.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH VK_LOGMERGE 1 2009-05-02
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
vk_logmerge \- a Valgrind XML log file merger
.SH SYNOPSIS
.B vk_logmerge
.RI "[flags and input files in any order]"
.SH DESCRIPTION
.B vk_logmerge
is a 
.BR valkyrie (1)
helper. Given multiple log files (in xml format) generated by multiple
runs on a parallel machine, or multiple log files generated by sequential
runs on a single-processor machine, for the same binary,
.B vk_logmerge
merges the log files together, summing the counts of duplicates, and outputs
the result to a single file. As input,
.B vk_logmerge
expects the log-files to-be-merged and/or a file containing the list of log-files
to-be-merged, with each entry on a separate line.
.PP
Log files can be merged from within
.BR valkyrie (1)
, or use can invoke
.B vk_logmerge
directly.
.SH OPTIONS
.TP
.B \-h
Show help message
.TP
.B \-v
Be verbose (more \-v's give more)
.TP
.B \-t
Output plain text (non-xml)
.TP
.B \-f <log_list>
Obtain input files from <log_list> file (one per line)
.TP
.B \-o <writefile>
File to write output to
.PP
At least 1 input file must be given.
.PP
If no '\-o outfile' is given, writes to standard output.
.SH EXAMPLES
vk_logmerge log1.xml \-f loglist.fls \-o merged.xml
.SH SEE ALSO
.BR valkyrie (1),
.BR valgrind (1).
.SH AUTHOR
.B vk_logmerge
was written by Donna Robinson, Cerion Armour-Brown and others.
.PP
This manual page was written by Hai Zaar <haizaar@haizaar.com>,
for the Debian project (but may be used by others).
